package com.yizhi.exam.application.vo;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "ListLibraryVO", description = "")
@Data
public class ListLibraryVO {
	
	@ApiModelProperty(value = "ID主键")
	private Long id;
	
	@ApiModelProperty(value = "题库no")
	private String libraryNo;
	
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	
	@ApiModelProperty(value = "名称")
	private String name;
	
	@ApiModelProperty(value = "数量")
	private Integer total;
	
	@ApiModelProperty(value = "题目id")
	private Long subjectId;
	
	@ApiModelProperty(value = "状态")
	private String state;
	
	@ApiModelProperty(value = "sId")
	private Long sId;

	@ApiModelProperty(value = "是否使用 1已使用 2未使用")
	private Integer des;

	@ApiModelProperty(value = "该题库对应的题目的类型和个数")
	private List<TypeAndCountVo> typeAndCountVoList;

}
